﻿using System;
using System.Configuration;

namespace DotNet.Common.Util
{
    /// <summary>
    /// AppSettings配置文件帮助类
    /// </summary>
    public class PowerConfigUtil
    {
        /// <summary>
        /// 修改AppSettings配置节点
        /// </summary>
        /// <param name="key"></param>
        /// <param name="newValue"></param>
        public static void ResetAppSetting(string key, string newValue)
        {
            try
            {
                if (string.IsNullOrWhiteSpace(key))
                {
                    throw new ArgumentException("配置名称为空");
                }
                var config = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
                if (config.HasFile == false)
                {
                    throw new ArgumentException("没有配置文件");
                }

                var existkey = config.AppSettings.Settings[key];
                if (existkey == null)
                {
                    config.AppSettings.Settings.Add(key, newValue);
                }
                else
                {
                    config.AppSettings.Settings[key].Value = newValue;
                }

                config.Save(ConfigurationSaveMode.Modified);

                ConfigurationManager.RefreshSection("appSettings");
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}
