﻿using System.Diagnostics;

public class StackTraceUtil
{

    public static string PowerTraceMethod()
    {
        return TraceMethodName();
    }

    /// <summary>
    /// 获取当然堆栈的调用方法列表
    /// </summary>
    /// <returns></returns>
    private static string TraceMethodName()
    {
        var strFrameInfo = string.Empty;

        try
        {
            //当前堆栈信息
            var st = new StackTrace();
            var sfs = st.GetFrames();
            //过虑的方法名称,以下方法将不会出现在返回的方法调用列表中
            string _filterdName = "PowerTraceMethod,TraceMethodName,";
            string _fullName = string.Empty;
            var _methodName = string.Empty;

            for (int i = 1; i < sfs.Length; ++i)
            {
                //非用户代码,系统方法及后面的都是系统调用，不获取用户代码调用结束
                if (StackFrame.OFFSET_UNKNOWN == sfs[i].GetILOffset())
                {
                    break;
                }
                _methodName = sfs[i].GetMethod().Name;//方法名称
                //sfs[i].GetFileLineNumber();//没有PDB文件的情况下将始终返回0
                if (_filterdName.Contains(_methodName))
                {
                    continue;
                }
                _fullName = _methodName + "()->" + _fullName;
            }
            st = null;
            sfs = null;
            _filterdName = _methodName = null;
            strFrameInfo = _fullName.TrimEnd('-', '>');
        }
        catch
        {
        }
        return strFrameInfo;
    }
}

