﻿using System;
using System.Linq;
using System.Windows.Forms;

namespace PowerServiceMonitor
{
    using PowerServiceMonitor.Model;
    using PowerServiceMonitor.Util;

    public partial class LogConfigForm : Form
    {
        #region 构造函数

        public LogConfigForm()
        {
            InitializeComponent();

            InitAppSettingConfigInfo();
        }

        #endregion

        #region 方法

        private void InitAppSettingConfigInfo()
        {
            this.cbConfigType.SelectedIndex = 0;
            this.txtConfigKey.Text = MonitorConfig.LogProviderType;
            this.clbLogType.Items.Clear();

            var logTypeArr = MonitorConfig.GetLogProviderTypeArr();

            var enumArr = Enum.GetNames(typeof(LogProviderType));
            foreach (var item in enumArr)
            {
                var isChecked = logTypeArr.Where(x => string.Compare(x, item, true) == 0).Any();
                this.clbLogType.Items.Add(item, isChecked);
            }
        }

        #endregion

        #region 事件

        private void btnSetConfig_Click(object sender, System.EventArgs e)
        {
            var strLogType = string.Empty;

            var selectedItems = this.clbLogType.CheckedItems;
            foreach (var item in selectedItems)
            {
                strLogType = string.Format("{0},{1}", strLogType, item);
            }

            strLogType = strLogType.Trim(new char[] { ' ', ',' });

            MonitorConfig.ResetAppSetting(MonitorConfig.LogProviderType, strLogType);

            InitAppSettingConfigInfo();

            MessageBox.Show("设置完成");
        }

        #endregion

    }
}