﻿using System;

namespace PowerServiceMonitor.Model
{
    /// <summary>
    /// 待监控的项目信息
    /// </summary>
    [Serializable]
    public sealed class MonitorItemInfo
    {
        /// <summary>
        /// 应用类型
        /// </summary>
        public string AppType { get; set; }

        /// <summary>
        /// 监控的项目名称
        /// </summary>
        public string SvcName { get; set; }

        /// <summary>
        /// 监控的项目对应值 例如：windows服务对应进程名称 web服务则对应一个url
        /// </summary>
        public string SvcValue { get; set; }

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnabled { get; set; }

        /// <summary>
        /// 是否发送邮件提醒
        /// </summary>
        public bool IsSendEmail { get; set; }

        /// <summary>
        /// 是否发送短信提醒
        /// </summary>
        public bool IsSendSMS { get; set; }

    }
}
