﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using PowerServiceMonitor.Impl;
using System.Linq;

namespace ServiceMonitorTest
{
    [TestClass]
    public class MonitorTest
    {

        private static readonly string configPath = @"F:\PowerServiceMonitor\Config\MonitorServices.config";

        [TestMethod]
        public void TestWebPageMonitor()
        {
            var svc = new WebPageMonitorBuilder();
            var resultList = svc.Start(configPath);

            Assert.IsFalse(resultList.Any());

        }

        [TestMethod]
        public void TestWebSvcMonitor()
        {
            var svc = new WebServiceMonitorBuilder();
            var resultList = svc.Start(configPath);

            Assert.IsFalse(resultList.Any());

        }

        [TestMethod]
        public void TestWinSvcMonitor()
        {
            var svc = new WinServiceMonitorBuilder();
            var resultList = svc.Start(configPath);

            Assert.IsFalse(resultList.Any());

        }

    }
}
